PHYLONIUM(1)

NAME
phylonium - rapidly estimate evolutionary distances

SYNOPSIS
phylonium [OPTIONS...] FILES...

DESCRIPTION
phylonium estimates the evolutionary distance between closely related genomes. For this phylonium reads the input sequences from FASTA files and computes the pairwise evolutionary distance. All sequences in one file are considered to be contigs of the same genome.

OUTPUT
The output is a symmetrical distance matrix in PHYLIP format, with each entry representing divergence with a positive, real number. A distance of zero means that two sequences are identical, whereas other values are estimates for the nucleotide substitution rate (Jukes-Cantor corrected). For technical reasons the comparison might fail and no estimate can be computed. In such cases nan is printed. This either means that the input sequences were too short (<200bp) or too diverse (K>0.5) for our method to work properly.

OPTIONS

-2, --2pass
    After a first run a 'central' sequence is chosen as reference for the second pass. This improves the accuracy when the first reference is an outgroup.

-b INT, --bootstrap=INT
    Compute multiple distance matrices, with n-1 bootstrapped from the first. See the paper Klötzl & Haubold (2016) for a detailed explanation.

-r FILE
    Define the reference sequence.

-t INT, --threads=INT
    The number of threads to be used; by default, all available processors are used.
    Multithreading is only available if phylonium was compiled with OpenMP support.

-p FILE
    Print the reference positions to the given path. Also sets complete deletion.

--progress[=WHEN]
    Print a progress bar. WHEN can be 'auto' (default if omitted), 'always', or 'never'.

-v, --verbose
    Prints additional information, including the amount of found homology. Apply multiple times for extra verboseness.

-h, --help
    Prints the synopsis and an explanation of available options.

--version
    Outputs version information and acknowledgments.

COPYRIGHT
Copyright © 2017 - 2023 Fabian Klötzl License GPLv3+: GNU GPL version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law. The full license text is available at <http://gnu.org/licenses/gpl.html>.

ACKNOWLEDGMENTS
1) Algorithms: Ohlebusch, E. (2013). Bioinformatics Algorithms. Sequence Analysis, Genome Rearrangements, and Phylogenetic Reconstruction. pp 118f.
2) SA construction: Mori, Y. (2005). Short description of improved two-stage suffix sorting algorithm.
3) Bootstrapping: Klötzl, F. and Haubold, B. (2016). Support Values for Genome Phylogenies 4) Phylonium: Klötzl, F. and Haubold, B. (2020). Phylonium: Fast Estimation of Evolutionary Distances from Large Samples of Similar Genomes

BUGS

  Reporting Bugs
Please report bugs to <fabian-phylonium@kloetzl.info>.